//#define XERR
#include "loop.ih"

    // by roundscolhdrs.cc

void Loop::roundsMidLevelCols(CSVTable &tab) const
{
    size_t nActive = d_modalities.activeMods().size();

             // line covering Pos/Neg of each modality
    tab.more() << ' ';
    for (size_t idx = 0; idx != nActive; ++idx)
         tab.more() << hline(4);
    tab.row();

            // mid-level column names
    tab.more() << ' ';
    for (size_t idx = 0; idx != nActive; ++idx)
        tab.more() << join(2, FMT::CENTER) << "Positive" <<
                      join(2, FMT::CENTER) << "Negative";

    tab.row() << join(3, FMT::CENTER) << "number of"   <<  
                    join(2, FMT::CENTER) << "costs"    <<  
                    join(nActive, FMT::CENTER) << "number of";

            // column hline combinations
    tab.more() << ' ';
    for (size_t idx = 0; idx != nActive; ++idx)
        tab.more() << hline(2) << hline(2);

    tab.row() << hline(3) << hline(2) << hline(nActive);   
}
